gtkmm: Gtk::AnyFilter Class Reference

gtkmm 4.2.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::AnyFilter Class Reference

Matches when at least one filter matches. More...

`#include <gtkmm/multifilter.h>`

Inheritance diagram for Gtk::AnyFilter:
[legend]

## Public Member Functions
| AnyFilter (AnyFilter&& src) noexcept
AnyFilter& | operator= (AnyFilter&& src) noexcept
| ~AnyFilter () noexcept override
GtkAnyFilter* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkAnyFilter* | gobj () const
| Provides access to the underlying C GObject. More...
GtkAnyFilter* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Public Member Functions inherited from Gtk::MultiFilter
| MultiFilter (MultiFilter&& src) noexcept
MultiFilter& | operator= (MultiFilter&& src) noexcept
| ~MultiFilter () noexcept override
GtkMultiFilter* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkMultiFilter* | gobj () const
| Provides access to the underlying C GObject. More...
GtkMultiFilter* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | append (const Glib::RefPtr< Filter >& filter)
| Adds a filter to self to use for matching. More...
void | remove (guint position)
| Removes the filter at the given position from the list of filters used by self. More...
Public Member Functions inherited from Gtk::Filter
| Filter (Filter&& src) noexcept
Filter& | operator= (Filter&& src) noexcept
| ~Filter () noexcept override
GtkFilter* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkFilter* | gobj () const
| Provides access to the underlying C GObject. More...
GtkFilter* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
bool | match (const Glib::RefPtr< Glib::ObjectBase >& item)
| Checks if the given item is matched by the filter or not. More...
Match | get_strictness ()
| Gets the known strictness of filters. More...
Glib::SignalProxy< void(Change)> | signal_changed ()
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const
Public Member Functions inherited from Gio::ListModel
| ListModel (ListModel &&src) noexcept
ListModel & | operator= (ListModel &&src) noexcept
| ~ListModel () noexcept override
GListModel * | gobj ()
const GListModel * | gobj () const
GType | get_item_type () const
guint | get_n_items () const
Glib::RefPtr< Glib::ObjectBase > | get_object (guint position)
Glib::RefPtr< const Glib::ObjectBase > | get_object (guint position) const
Glib::SignalProxy< void(guint, guint, guint)> | signal_items_changed ()
Glib::RefPtr< Gio::ListModel > | wrap (GListModel *object, bool take_copy=false)
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Gtk::Buildable
| Buildable (Buildable&& src) noexcept
Buildable& | operator= (Buildable&& src) noexcept
| ~Buildable () noexcept override
GtkBuildable* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkBuildable* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::ustring | get_buildable_id () const
| Gets the ID of the buildable object. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< AnyFilter > | create ()
Static Public Member Functions inherited from Gtk::MultiFilter
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::Filter
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gio::ListModel
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| AnyFilter ()
Protected Member Functions inherited from Gtk::MultiFilter
| MultiFilter ()
Protected Member Functions inherited from Gtk::Filter
| Filter ()
void | changed (Change change=Change::DIFFERENT)
| Emits the Gtk::Filter::signal_changed() signal to notify all users of the filter that the filter changed. More...
virtual bool | match_vfunc (const Glib::RefPtr< Glib::ObjectBase >& item)
virtual Match | get_strictness_vfunc ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gio::ListModel
| ListModel ()
void | items_changed (guint position, guint removed, guint added)
virtual GType | get_item_type_vfunc ()
virtual guint | get_n_items_vfunc ()
virtual gpointer | get_item_vfunc (guint position)
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::AnyFilter > | wrap (GtkAnyFilter* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::MultiFilter
Glib::RefPtr< Gtk::MultiFilter > | wrap (GtkMultiFilter* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Filter
Glib::RefPtr< Gtk::Filter > | wrap (GtkFilter* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gtk::Filter
enum | Match { Match::SOME, Match::NONE, Match::ALL }
| Describes the known strictness of a filter. More...
enum | Change { Change::DIFFERENT, Change::LESS_STRICT, Change::MORE_STRICT }
| Describes changes in a filter in more detail and allows objects using the filter to optimize refiltering items. More...
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Matches when at least one filter matches.

Gtk::AnyFilter is a subclass of Gtk::MultiFilter that matches an item when at least one of its filters matches.

Since gtkmm 3.98:

## Constructor & Destructor Documentation

Gtk::AnyFilter::AnyFilter | ( | AnyFilter&& | src | ) |
| noexcept

Gtk::AnyFilter::~AnyFilter | ( |  | ) |
| overridenoexcept

Gtk::AnyFilter::AnyFilter | ( |  | ) |
| protected

## Member Function Documentation

static Glib::RefPtr<AnyFilter> Gtk::AnyFilter::create | ( |  | ) |
| static

static GType Gtk::AnyFilter::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkAnyFilter* Gtk::AnyFilter::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkAnyFilter* Gtk::AnyFilter::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkAnyFilter* Gtk::AnyFilter::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

AnyFilter& Gtk::AnyFilter::operator= | ( | AnyFilter&& | src | ) |
| noexcept

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::AnyFilter > wrap | ( | GtkAnyFilter * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.